CascadeClassifier (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.objdetect

## Class CascadeClassifier

- java.lang.Object
- - org.opencv.objdetect.CascadeClassifier

-     public class CascadeClassifier
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CascadeClassifier()`
    `protected` | `CascadeClassifier(long addr)`
    `` | `CascadeClassifier(java.lang.String filename)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CascadeClassifier` | `__fromPtr__(long addr)`
    `static boolean` | `convert(java.lang.String oldcascade, java.lang.String newcascade)`
    `void` | `detectMultiScale(Mat image, MatOfRect objects)`
    `void` | `detectMultiScale(Mat image, MatOfRect objects, double scaleFactor, int minNeighbors, int flags, Size minSize, Size maxSize)`
    `void` | `detectMultiScale2(Mat image, MatOfRect objects, MatOfInt numDetections)`
    `void` | `detectMultiScale2(Mat image, MatOfRect objects, MatOfInt numDetections, double scaleFactor, int minNeighbors, int flags, Size minSize, Size maxSize)`
    `void` | `detectMultiScale3(Mat image, MatOfRect objects, MatOfInt rejectLevels, MatOfDouble levelWeights)`
    `void` | `detectMultiScale3(Mat image, MatOfRect objects, MatOfInt rejectLevels, MatOfDouble levelWeights, double scaleFactor, int minNeighbors, int flags, Size minSize, Size maxSize, boolean outputRejectLevels)`
    `boolean` | `empty()`
    `protected void` | `finalize()`
    `int` | `getFeatureType()`
    `long` | `getNativeObjAddr()`
    `Size` | `getOriginalWindowSize()`
    `boolean` | `isOldFormatCascade()`
    `boolean` | `load(java.lang.String filename)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### CascadeClassifier

          protected CascadeClassifier(long addr)

    - #### CascadeClassifier

          public CascadeClassifier(java.lang.String filename)

    - #### CascadeClassifier

          public CascadeClassifier()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static CascadeClassifier __fromPtr__(long addr)

    - #### getOriginalWindowSize

          public Size getOriginalWindowSize()

    - #### convert

          public static boolean convert(java.lang.String oldcascade,
                                        java.lang.String newcascade)

    - #### empty

          public boolean empty()

    - #### isOldFormatCascade

          public boolean isOldFormatCascade()

    - #### load

          public boolean load(java.lang.String filename)

    - #### getFeatureType

          public int getFeatureType()

    - #### detectMultiScale

          public void detectMultiScale(Mat image,
                                       MatOfRect objects,
                                       double scaleFactor,
                                       int minNeighbors,
                                       int flags,
                                       Size minSize,
                                       Size maxSize)

    - #### detectMultiScale

          public void detectMultiScale(Mat image,
                                       MatOfRect objects)

    - #### detectMultiScale2

          public void detectMultiScale2(Mat image,
                                        MatOfRect objects,
                                        MatOfInt numDetections,
                                        double scaleFactor,
                                        int minNeighbors,
                                        int flags,
                                        Size minSize,
                                        Size maxSize)

    - #### detectMultiScale2

          public void detectMultiScale2(Mat image,
                                        MatOfRect objects,
                                        MatOfInt numDetections)

    - #### detectMultiScale3

          public void detectMultiScale3(Mat image,
                                        MatOfRect objects,
                                        MatOfInt rejectLevels,
                                        MatOfDouble levelWeights,
                                        double scaleFactor,
                                        int minNeighbors,
                                        int flags,
                                        Size minSize,
                                        Size maxSize,
                                        boolean outputRejectLevels)

    - #### detectMultiScale3

          public void detectMultiScale3(Mat image,
                                        MatOfRect objects,
                                        MatOfInt rejectLevels,
                                        MatOfDouble levelWeights)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown